#pragma once

#include "CoreMinimal.h"
#include "RBTSurvivorPair.generated.h"

class AReverseBearTrap;
class ASurvivor;

USTRUCT(BlueprintType)
struct FRBTSurvivorPair
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	AReverseBearTrap* ReverseBearTrap;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	ASurvivor* Survivor;

public:
	THEPIG_API FRBTSurvivorPair();
};

FORCEINLINE uint32 GetTypeHash(const FRBTSurvivorPair) { return 0; }
